> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses vendorsimport



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/vendors/import
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/vendors/import:
    post:
      tags:
        - BusinessVendors
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
            encoding:
              file:
                style: form
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/VendorsVendorImportResult'
            application/json:
              schema:
                $ref: '#/components/schemas/VendorsVendorImportResult'
            text/json:
              schema:
                $ref: '#/components/schemas/VendorsVendorImportResult'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    VendorsVendorImportResult:
      type: object
      properties:
        totalRows:
          type: integer
          format: int32
        successCount:
          type: integer
          format: int32
        createdCount:
          type: integer
          format: int32
        matchedCount:
          type: integer
          format: int32
        failedCount:
          type: integer
          format: int32
        skippedCount:
          type: integer
          format: int32
        connectedCount:
          type: integer
          format: int32
        credentialSkippedCount:
          type: integer
          format: int32
        credentialFailedCount:
          type: integer
          format: int32
        results:
          type: array
          items:
            $ref: '#/components/schemas/VendorsVendorImportRowResult'
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    VendorsVendorImportRowResult:
      type: object
      properties:
        rowNumber:
          type: integer
          format: int32
        vendorName:
          type: string
          nullable: true
        success:
          type: boolean
        error:
          type: string
          nullable: true
        errorCode:
          type: string
          nullable: true
        vendorId:
          type: integer
          format: int64
          nullable: true
        matched:
          type: boolean
        connected:
          type: boolean
        credentialSkipped:
          type: boolean
        credentialError:
          type: string
          nullable: true
        credentialErrorCode:
          type: string
          nullable: true
      additionalProperties: false

````